Change Slot Entry

Change Slot Entry
Change variable value

Changes the value of a variable while stopped on a breakpoint.

Request
URI
POST
https://{api_host}/debugger/{executionId}/newValue
COPY
Path Parameters
string
executionId
Required

executionId


Request Body
WsParameter of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
{
    "value": {
        "type": "string",
        "id": "string",
        "displayValue": "string",
        "href": "string",
        "objectType": "string"
    },
    "name": "string",
    "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
    "description": "string",
    "scope": "string",
    "updated": false,
    "encrypt-value": false
}
object
value
Optional

Value can be one of the following types: sdk-object, string, properties, number, array, mime-attachment, date, boolean, composite

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

boolean
encrypt-value
Optional

encrypt-value

Authentication
This operation uses the following authentication methods.
Responses
200

The request is successful

Returns WsVariables of type(s) application/json
{
    "variables": [
        {
            "value": {
                "0": "s",
                "1": "d",
                "2": "k",
                "3": "-",
                "4": "o",
                "5": "b",
                "6": "j",
                "7": "e",
                "8": "c",
                "9": "t",
                "10": " ",
                "11": "O",
                "12": "b",
                "13": "j",
                "14": "e",
                "15": "c",
                "16": "t",
                "objectType": "string"
            },
            "name": "string",
            "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
            "description": "string",
            "scope": "string",
            "updated": false,
            "encrypt-value": false
        }
    ]
}
array of object
variables
Optional

variables


401

The user is not authorized

Returns WsVariables of type(s) application/json
"WsVariables Object"
array of object
variables
Optional

variables


404

Cannot find a workflow with the specified ID or the user does not have 'read' access rights for that workflow

Returns WsVariables of type(s) application/json
"WsVariables Object"
array of object
variables
Optional

variables


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/debugger/{executionId}/newValue